Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.anim
Class SetAnimation

    java.lang.Object
      org.apache.batik.anim.AbstractAnimation
          org.apache.batik.anim.SetAnimation

    public class SetAnimation

extends AbstractAnimation

An animation class for 'set' animations.

Field Summary
`protected AnimatableValue` | `to` The set animation value.

Fields inherited from class org.apache.batik.anim.AbstractAnimation
`animatableElement, beginTime, CALC_MODE_DISCRETE, CALC_MODE_LINEAR, CALC_MODE_PACED, CALC_MODE_SPLINE, composedValue, higherAnimation, isActive, isDirty, isFrozen, lowerAnimation, timedElement, toAnimation, usesUnderlyingValue, value`

Constructor Summary
`SetAnimation(TimedElement timedElement, AnimatableElement animatableElement, AnimatableValue to)` Creates a new SetAnimation.

Method Summary
`protected void` | `sampledAt(float simpleTime, float simpleDur, int repeatIteration)` Called when the element is sampled at the given time.
`protected void` | `sampledLastValue(int repeatIteration)` Called when the element is sampled for its "last" value.

Methods inherited from class org.apache.batik.anim.AbstractAnimation
`getComposedValue, getTimedElement, getValue, markDirty, toString, usesUnderlyingValue, willReplace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### to

    protected AnimatableValue to

  The set animation value.

Constructor Detail

### SetAnimation

    public SetAnimation(TimedElement timedElement,
                        AnimatableElement animatableElement,
                        AnimatableValue to)

  Creates a new SetAnimation.

Method Detail

### sampledAt

    protected void sampledAt(float simpleTime,
                             float simpleDur,
                             int repeatIteration)

  Called when the element is sampled at the given time.

  Specified by:
    `sampledAt` in class `AbstractAnimation`

### sampledLastValue

    protected void sampledLastValue(int repeatIteration)

  Called when the element is sampled for its "last" value.

  Overrides:
    `sampledLastValue` in class `AbstractAnimation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.